<template>
<div>
    <form>
            <div class="form-group">
                <label for="formGroupExampleInput">Label</label>
                <input type="text" class="form-control" v-model="Genres.label" placeholder="label">
            </div>
            <div class="form-group">
                <label for="formGroupExampleInput2">Icon</label>
                <input type="text" class="form-control" v-model="Genres.icon" placeholder="icon">
            </div>
        </form>
        <button type="button" class="btn btn-info" @click="createGenre">Créer</button>
</div>  
</template>

<script>
import axios from 'axios'

const GENRES_API_ENDPOINT = "http://localhost:3000/genres"
export default {
    name: 'addGenre',
  data:()=>({
    Genres:{},
  }),
  methods:{
     async createGenre(){
        let body = {
            label: this.Genres.label,
            icon: this.Genres.icon
        }
        let tryToCreate = await axios.post(`${GENRES_API_ENDPOINT}/${this.Genres.id}`, body)
        return tryToCreate
    }
  },
  async created(){
    
  },
}
</script>

<style>

</style>